Name:		stylus-toolbox
Version:	0.2.7
Release:	15%{?dist}
Summary:	A printer utility for Epson Stylus® inkjet printers

License:	GPLv2+
URL:		http://stylus-toolbox.sourceforge.net/
Source0:	http://downloads.sourceforge.net/stylus-toolbox/%{name}-%{version}.tar.bz2
Patch0:		%{name}.patch

BuildArch:	noarch

BuildRequires:	python-devel
Requires:	python-pexpect
Requires:	pygtk2
Requires:	dbus
Requires:	gutenprint
Requires:	cups

%description
Stylus Toolbox is a printer utility for Epson Stylus® inkjet printers that is
designed to replace the Epson Printer Utility that comes with the Epson drivers
for the Windows platform on Linux, Mac OS X, FreeBSD and other Unix and
Unix-like operating systems that are supported by the Python programming
language and the Gutenprint inkjet drivers.

Stylus Toolbox is a graphical (GUI) front-end for Gutenprint's escputil
command-line Epson printer utility.  As a result, it supports all printers
supported by escputil and Gutenprint, including many recent-model Epson Stylus
and Epson Photo printers. 

%prep
%setup -q
%patch0 -p1

%build

%install
mkdir -p %{buildroot}%{_bindir}
%{__python} setup.py --prefix %{buildroot}/usr
%{__python} setup.py install --root %{buildroot}
sed -i -e 's|%{buildroot}||' %{buildroot}%{_bindir}/%{name}
#remove shebang
sed -i -e '/\/usr\/bin\/env/d' %{buildroot}%{python_sitelib}/GladeWindow.py


%files
%doc README COPYING TODO
%dir %{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}/*.glade
%{python_sitelib}/*


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Nov 24 2013 Mario Santagiuliana <fedora@marionline.it> - 0.2.7-8
- Fix broken dependencies

* Sat Sep 28 2013 Mario Santagiuliana <fedora@marionline.it> - 0.2.7-7
- Fix broken dependencies

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 04 2012 Mario Santagiuliana <fedora@marionline.it> - 0.2.7-3
- remove python_sitelib macro

* Wed Jul 04 2012 Mario Santagiuliana <fedora@marionline.it> - 0.2.7-2
- update spec file following Jiri Popelka request:
https://bugzilla.redhat.com/show_bug.cgi?id=772766#c4

* Wed Jan 11 2012 Mario Santagiuliana <fedora@marionline.it> - 0.2.7-1
- update spec file

* Mon Jan 09 2012 Mario Santagiuliana <fedora@marionline.it> - 0.2.7-0
- initial build

